import Nevanlinna.divisor

open Real


noncomputable def Divisor.Nevanlinna.n
  (D : Divisor ⊤) :
  ℝ → ℤ :=
  fun r ↦ ∑ᶠ z ∈ Metric.ball (0 : ℂ) r, D z

noncomputable def Divisor.Nevanlinna.integratedCounting
  (D : Divisor ⊤) :
  ℝ → ℝ :=
  fun r ↦ ∑ᶠ z ∈ Metric.ball (0 : ℂ) r, (D z) * log (r * ‖z‖⁻¹)
